Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
bootstarp error.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
JOnatan44
n00b
n00b


Joined: 24 Apr 2004
Posts: 68
Location: Isreal

PostPosted: Sat Jun 04, 2005 6:54 pm    Post subject: bootstarp error. Reply with quote

hello, i start the bootstarp.sh script and i getting this error:
Code:

!!! Your current profile is deprecated and not supported anymore.
!!! Please upgrade to the following profile if possible:
        default-linux/x86/2005.0

To upgrade do the following steps:
# Gentoo has switched to 2.6 as the defaults for headers/kernels.  If you wish
# to use 2.4 headers/kernels, then you should do the following to upgrade:
# emerge -n '>=sys-apps/portage-2.0.51'
# cd /etc/
# rm make.profile
# ln -s ../usr/portage/profiles/default-linux/x86/2005.0/2.4 make.profile

# If you wish to use the default 2.6 kernel, do the following:
# emerge -n '>=sys-apps/portage-2.0.51'
# cd /etc/
# rm make.profile
# ln -s ../usr/portage/profiles/default-linux/x86/2005.0 make.profile

# More information can be found at the following URLs:
# http://www.gentoo.org/doc/en/gentoo-upgrading.xml
# http://www.gentoo.org/doc/en/migration-to-2.6.xml


*** Resuming merge...
>>> emerge (1 of 17) dev-python/python-fchksum-1.7.1 to /
>>> md5 files   ;-) ChangeLog
>>> md5 files   ;-) metadata.xml
>>> md5 files   ;-) python-fchksum-1.7.1.ebuild
>>> md5 files   ;-) python-fchksum-1.6.1-r1.ebuild
>>> md5 files   ;-) files/digest-python-fchksum-1.6.1-r1
>>> md5 files   ;-) files/digest-python-fchksum-1.7.1
>>> md5 src_uri ;-) python-fchksum-1.7.1.tar.gz
>>> Unpacking source...
>>> Unpacking python-fchksum-1.7.1.tar.gz to /var/tmp/portage/python-fchksum-1.7.1/work
>>> Source unpacked.
['setup.py', 'build']
running build
running build_ext
building 'fchksum' extension
creating build
creating build/temp.linux-i686-2.3
gcc -fno-strict-aliasing -DNDEBUG -O3 -mcpu=i686 -fomit-frame-pointer -pipe -march=pentium4 -fPIC -I/usr/include/python2.3 -c md5.c -o build/temp.linux-i686-2.3/md5.o
/usr/bin/gcc-config: line 1: /etc/env.d/gcc/i386-pc-linux-gnu-3.3.4: No such file or directory
 * /usr/bin/gcc-config: Profile does not exist or invalid setting for /etc/env.d/gcc/i386-pc-linux-gnu-3.3.4
/etc/env.d/gcc/i386-pc-linux-gnu-3.3.4 doesnt exist
gcc-config error: Could not run/locate "gcc"
error: command 'gcc' failed with exit status 1

!!! ERROR: dev-python/python-fchksum-1.7.1 failed.
!!! Function src_compile, Line 20, Exitcode 1
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

when I do
Code:
emerge -n '>=sys-apps/portage-2.0.51'

I am geting this error:
Code:
!!! Your current profile is deprecated and not supported anymore.
!!! Please upgrade to the following profile if possible:
        default-linux/x86/2005.0

To upgrade do the following steps:
# Gentoo has switched to 2.6 as the defaults for headers/kernels.  If you wish
# to use 2.4 headers/kernels, then you should do the following to upgrade:
# emerge -n '>=sys-apps/portage-2.0.51'
# cd /etc/
# rm make.profile
# ln -s ../usr/portage/profiles/default-linux/x86/2005.0/2.4 make.profile

# If you wish to use the default 2.6 kernel, do the following:
# emerge -n '>=sys-apps/portage-2.0.51'
# cd /etc/
# rm make.profile
# ln -s ../usr/portage/profiles/default-linux/x86/2005.0 make.profile

# More information can be found at the following URLs:
# http://www.gentoo.org/doc/en/gentoo-upgrading.xml
# http://www.gentoo.org/doc/en/migration-to-2.6.xml


Calculating dependencies ...done!
>>> emerge (1 of 17) dev-python/python-fchksum-1.7.1 to /
>>> md5 files   ;-) ChangeLog
>>> md5 files   ;-) metadata.xml
>>> md5 files   ;-) python-fchksum-1.7.1.ebuild
>>> md5 files   ;-) python-fchksum-1.6.1-r1.ebuild
>>> md5 files   ;-) files/digest-python-fchksum-1.6.1-r1
>>> md5 files   ;-) files/digest-python-fchksum-1.7.1
>>> md5 src_uri ;-) python-fchksum-1.7.1.tar.gz
>>> Unpacking source...
>>> Unpacking python-fchksum-1.7.1.tar.gz to /var/tmp/portage/python-fchksum-1.7.1/work
>>> Source unpacked.
['setup.py', 'build']
running build
running build_ext
building 'fchksum' extension
creating build
creating build/temp.linux-i686-2.3
gcc -fno-strict-aliasing -DNDEBUG -O3 -mcpu=i686 -fomit-frame-pointer -pipe -march=pentium4 -fPIC -I/usr/include/python2.3 -c md5.c -o build/temp.linux-i686-2.3/md5.o
/usr/bin/gcc-config: line 1: /etc/env.d/gcc/i386-pc-linux-gnu-3.3.4: No such file or directory
 * /usr/bin/gcc-config: Profile does not exist or invalid setting for /etc/env.d/gcc/i386-pc-linux-gnu-3.3.4
/etc/env.d/gcc/i386-pc-linux-gnu-3.3.4 doesnt exist
gcc-config error: Could not run/locate "gcc"
error: command 'gcc' failed with exit status 1

!!! ERROR: dev-python/python-fchksum-1.7.1 failed.
!!! Function src_compile, Line 20, Exitcode 1
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.

can someone help me?
thanks :-)
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Sat Jun 04, 2005 7:12 pm    Post subject: Reply with quote

Code:
# If you wish to use the default 2.6 kernel, do the following:
# emerge -n '>=sys-apps/portage-2.0.51'
# cd /etc/
# rm make.profile
# ln -s ../usr/portage/profiles/default-linux/x86/2005.0 make.profile

Did you do the other 3 steps too ro change your profile?
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
JOnatan44
n00b
n00b


Joined: 24 Apr 2004
Posts: 68
Location: Isreal

PostPosted: Sun Jun 05, 2005 1:37 pm    Post subject: Reply with quote

Yes. but the when I doing
emerge -n '>=sys-apps/portage-2.0.51'
i am getting this:
Code:

Calculating dependencies ...done!
>>> emerge (1 of 17) dev-python/python-fchksum-1.7.1 to /
>>> md5 files   ;-) ChangeLog
>>> md5 files   ;-) metadata.xml
>>> md5 files   ;-) python-fchksum-1.7.1.ebuild
>>> md5 files   ;-) python-fchksum-1.6.1-r1.ebuild
>>> md5 files   ;-) files/digest-python-fchksum-1.6.1-r1
>>> md5 files   ;-) files/digest-python-fchksum-1.7.1
>>> md5 src_uri ;-) python-fchksum-1.7.1.tar.gz
>>> Unpacking source...
>>> Unpacking python-fchksum-1.7.1.tar.gz to /var/tmp/portage/python-fchksum-1.7.1/work
>>> Source unpacked.
['setup.py', 'build']
running build
running build_ext
building 'fchksum' extension
creating build
creating build/temp.linux-i686-2.3
gcc -fno-strict-aliasing -DNDEBUG -O3 -mcpu=i686 -fomit-frame-pointer -pipe -march=pentium4 -fPIC -I/usr/include/python2.3 -c md5.c -o build/temp.linux-i686-2.3/md5.o
/usr/bin/gcc-config: line 1: /etc/env.d/gcc/i386-pc-linux-gnu-3.3.4: No such file or directory
 * /usr/bin/gcc-config: Profile does not exist or invalid setting for /etc/env.d/gcc/i386-pc-linux-gnu-3.3.4
/etc/env.d/gcc/i386-pc-linux-gnu-3.3.4 doesnt exist
gcc-config error: Could not run/locate "gcc"
error: command 'gcc' failed with exit status 1

!!! ERROR: dev-python/python-fchksum-1.7.1 failed.
!!! Function src_compile, Line 20, Exitcode 1
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


tnx
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Sun Jun 05, 2005 4:07 pm    Post subject: Reply with quote

Please follow up to https://forums.gentoo.org/viewtopic-t-344970.html

Moved from Installing Gentoo.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum